<?php
/*======================================================================*\
|| #################################################################### ||
|| # Youjoomla.com - YJ- Licence Number 98197-PT232822
|| # Licensed to - Hejakal Bekaudar
|| # ---------------------------------------------------------------- # ||
|| # Copyright (C) Since 2006 Youjoomla.com. All Rights Reserved.       ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- THIS IS NOT FREE SOFTWARE ---------------- #      ||
|| # http://www.youjoomla.com | http://www.youjoomla.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/

// no direct access
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.framework',true);
require_once (JPATH_SITE.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_content'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'route.php');
require_once('modules/mod_yj_ns10/lib/slike.php');

class modYJNS10rHelper
{
	static function getYJNSItems($params)
	{
			$get_items             		= $params->get   ('get_items',1);
			$nitems                		= $params->get   ('nitems',4);
			$chars                 		= $params->get   ('chars',40);
			$chars_nav             		= $params->get   ('chars_nav',40);
			$ordering              		= $params->get   ('ordering',3);// 1 = ordering | 2 = popular | 3 = random 
			$getspecific 	         	= $params->get ('getspecific');
			$allow_tags					= $params->get ('allow_tags');
			$allow_tags 				= str_replace(" />", ">", $allow_tags);	
			$full_player_width  		= $params->get ('full_player_width',960);
			$player_height      		= $params->get ('player_height',300);
			$slide_width       			= $params->get ('slide_width',580);
			$playlist_width    			= $params->get ('playlist_width',380);
			$playlist_align    			= $params->get ('playlist_align','left');
			$autoSlide         			= $params->get ('autoSlide',5000);
			$startElem         			= $params->get ('startElem',2);
			$visibleItems      			= $params->get ('visibleItems',3);

	  if($playlist_align == 'right'){
	  		$infoContainerPosition = 'left';
	  		$ie_image = '_r';
	  		$sclass= '_right';
	   }else{
	  		$infoContainerPosition = 'right';
	  		$ie_image = '';
	   		$sclass= '_left';
	   }
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::base() . 'modules/mod_yj_ns10/css/stylesheet_'.$playlist_align.'.css');
		$document->addScript(JURI::base() . 'modules/mod_yj_ns10/script/InfoSlider.js');



		$document->addScriptDeclaration("
		window.addEvent('domready', function(){
				new InfoSlider10({
					navigation:{
						container: 'navigator10',
						elements:'.element',
						outer: 'navigator_outer10',
						selectedClass: 'selected". $sclass."',
						visibleItems: ".$visibleItems."
					},
					slides:{
						container:'slides',
						elements:'.slide',
						//infoContainer:'.long_desc',
						infoContainerPosition: '".$infoContainerPosition."',
						startFx:{
							'opacity':[0,1],
							'top':[0,0],
							'left':[0,0],
							'width':[".$slide_width.",".$slide_width."],
							'height':[".$player_height.",".$player_height."]
						},
						endFx:{
							'opacity':0,
							'top':300,
							'left':10,
							'width':150,
							'height':40
						}
					},
					startElem: ".$startElem.",
					autoSlide: ".$autoSlide."
				});
			})
		");
		$document->addCustomTag('
		  <style type="text/css">
		#slides .slide{
			visibility:hidden;
		}
		</style>
		
		');

				/* prepare database */
		$db			= JFactory::getDBO();
		$user		= JFactory::getUser();
		$userId		= (int) $user->get('id');
		$aid		= JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$contentConfig = JComponentHelper::getParams( 'com_content' );
		$access		= !JComponentHelper::getParams('com_content')->get('show_noauth');
		$nullDate	= $db->getNullDate();
		$date =        JFactory::getDate();
		if(intval(JVERSION) >= 3 ){	
			$now =         $date->toSql() ; 
		}else{
			$now =         $date->toMySQL(); 
		}
		
		$where		= 'a.state = 1'
			. ' AND ( a.publish_up = '.$db->Quote($nullDate).' OR a.publish_up <= '.$db->Quote($now).' )'
			. ' AND ( a.publish_down = '.$db->Quote($nullDate).' OR a.publish_down >= '.$db->Quote($now).' )'
			;
		// select specific items
		if(!empty($getspecific)){
		$countitems = count($getspecific);
		}
		if(!empty($getspecific) && $countitems > 1 ){
			$specificitems = implode(",", $getspecific);
			$specific_order= 'field(a.id,'.$specificitems.')';
			$where .= ' AND a.id IN ('.$specificitems.')';
		}elseif(!empty($getspecific) && $countitems == 1 ){
			$specificitems = $getspecific[0];
			$specific_order= 'field(a.id,'.$specificitems.')';
			$where .= ' AND a.id IN ('.$specificitems.')';
		}else{
			$specificitems='';
			$specific_order='NULL';
			$where .= ' AND cc.id = '.$get_items.'';
		}
		/* set items order */
		$ord = array(
			1=>'ordering',
			2=>'hits',
			3=>'RAND()',
			4=>'created ASC',
			5=>'created DESC',
			6=>$specific_order
		);
		$order = $ord[$ordering];
		/* get items */
		$sql = 	'SELECT a.*, ' .
				' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'. 
				' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug,'.
				'cc.title as cattitle'.
		
				' FROM #__content AS a' .
				' INNER JOIN #__categories AS cc ON cc.id = a.catid' .
				' WHERE '. $where .'' .
				($access ? ' AND a.access <= ' .(int) $aid. ' AND cc.access <= ' .(int) $aid : '').
				' AND cc.published = 1' .
				' ORDER BY '.$order .' LIMIT 0,'.$nitems.'';
					
		$db->setQuery( $sql );
		$load_items = $db->loadObjectList();
		$slides10 = array();
		foreach ( $load_items as $row ) {
			$slide10 = array(
					'date' => JHTML::_('date', $row->created, '%d-%m-%Y'),
					'intro' 	=> substr(strip_tags($row->introtext,''.$allow_tags.''),0,$chars),
					'title2'    => substr(strip_tags($row->title),0,$chars_nav),
					'link' 		=> htmlspecialchars(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug), ENT_QUOTES, 'UTF-8'),
					'img_url' => $img_url = article_image10($row),
					'title' 	=> htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8'),
					'img_out' => $img_url
					);
				$slides10[] = $slide10;
			} 
		
				return $slides10;
	}
}
?>